Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040893
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2019-05-14 09:492019-05-23 09:57
ReporterxabiermerinoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionb23b3b09def2
ProjectionnoneETAnoneTarget VersionRR19Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040893: Wrong Cash up using the property CashUp - Group payments by expected amount

DescriptionIf the property CashUp - Group payments by expected amount is active the behaviour of the cash ups is wrong
Steps To Reproduce1.Activate the preference CashUp - Group payments by expected amount
2.Log into webPOS
3.Pay 150€ in cash
4.Cash up:
* 100 in cash
* 50 in card
5.Finish the cash up
6.Realize that 50€ does not appear as Total Counted in the report and in the cash up of the backoffice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040871 closedranjith_qualiantech_com Wrong Cash up using the property CashUp - Group payments by expected amount 

-  Notes
(0112081)
hgbot (developer)
2019-05-23 09:57

Repository: retail/backports/3.0RR19Q2.1/org.openbravo.retail.posterminal
Changeset: b23b3b09def2061066e59dbe01bfbabe687e0ae1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu May 23 13:27:35 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.retail.posterminal/rev/b23b3b09def2061066e59dbe01bfbabe687e0ae1 [^]

Fixed issue 40893 : Counted amount should not be updated with expected amount when its already having value

* With Pref. CashUp - Group payments by expected amount enabled,
While doing cashup, If Counted amount is manually updated for Payments with expected amount as Zero,
When moving to next step(Keep the amount), those manually updated Counted amount should not be changed

---
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
---

- Issue History
Date Modified Username Field Change
2019-05-16 19:02 marvintm Type defect => backport
2019-05-16 19:02 marvintm Target Version => RR19Q2.1
2019-05-23 09:57 hgbot Checkin
2019-05-23 09:57 hgbot Note Added: 0112081
2019-05-23 09:57 hgbot Status scheduled => resolved
2019-05-23 09:57 hgbot Resolution open => fixed
2019-05-23 09:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b755760c064c3e33df38e91f3624ff5367671a32 [^] => http://code.openbravo.com/retail/backports/3.0RR19Q2.1/org.openbravo.retail.posterminal/rev/b23b3b09def2061066e59dbe01bfbabe687e0ae1 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker